> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/reference/tables/using-tables.md).

# Using tables

As the fundamental data-containing entity on Redivis, you will likely be interacting with tables a lot. While tables can just be [downloaded](/reference/tables/exporting-tables.md), it will often be easier and more performant to work with tables directly on Redivis, particularly when the table is large.

## Exploring tables

To develop a baseline understanding of a table and its contents, you will often start by viewing the table. You can browse its [variables](/reference/tables/variables.md), read univariate [summary statistics](/reference/tables/variables.md#univariate-statistics), scroll through [cells](/reference/tables/cells.md), and execute one-off [SQL queries](/reference/tables/queries.md) to better understand a table's contents.

## Querying in a transform

Tables can be referenced by any [transform](/reference/workflows/transforms.md) in a [workflow](/reference/workflows.md). Transforms allow you to construct queries that filter, join, merge, and compute upon any table on Redivis, at scale. Every transform produces a single output table, which can subsequently be used for downstream analysis.

## Loading and querying in a notebook

Tables can also be referenced by any [notebook](/reference/workflows/notebooks.md) in a [workflow](/reference/workflows.md). These notebooks allow you to execute [Python](/reference/workflows/notebooks/python-notebooks.md), [R](/reference/workflows/notebooks/r-notebooks.md), [Stata](/reference/workflows/notebooks/stata-notebooks.md), and [SAS](/reference/workflows/notebooks/sas-notebooks.md) code within a flexible computational environment. The code that you write in a Redivis notebook is the same as what you would write from any external system referencing Redivis tables, ensuring portability of your analysis.

## Importing into a dataset

Finally, tables can be [imported into datasets](/reference/datasets/create-and-edit-datasets/import-sources.md#redivis). This can be helpful when you're using workflows to construct a "cleaned" version of a dataset, or when you want to store a final, permanent artifact of your analysis results.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.redivis.com/reference/tables/using-tables.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
